Subject: Re: [PATCH] When a remote is added but not fetched, tell the user.

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Apr 2008 16:15:32 -0700

"Sverre Rabbelier" <[email-masked]> writes:

> On Fri, Apr 11, 2008 at 11:39 PM, Junio C Hamano <[email-masked]> wrote:
>>  If the user tells you not to fetch, the command should not bother the user
>>  with excess messages, unless the user explicitly asks to, either.
>
> I fully agree here, but is there a way for the user to do so?
> Especially the beginning user? Perhaps in the form of a -v(erbose)
> switch,...

Yeah, I am not sure if that should be called --verbose, but a "training
wheel" mode of operation somebody else mentioned the other day that echoes
back what the command thinks it was told to do by the user, together with
help text that explains what other things the user could have told to the
command to enrich its operation, might be an interesting addition.